# This file pulls in the GitLab AutoDevOps configuration via an include
# directive and then overrides bits. The rationale for this is we'd like this
# file to eventually have zero local overrides so that we can use the AutoDevOps
# pipeline as-is.

include:
  # Bring in the AutoDevOps template from GitLab.
  # It can be viewed at:
  # https://gitlab.com/gitlab-org/gitlab-ee/blob/master/lib/gitlab/ci/templates/Auto-DevOps.gitlab-ci.yml
  - template: Auto-DevOps.gitlab-ci.yml

  # Overrides to AutoDevOps for testing
  - project: 'uis/devops/continuous-delivery/ci-templates'
    file: '/auto-devops/tox-tests.yml'

variables:
  DOCUMENTATION_DISABLED: "1"
